Rmagick windows

Bonjour quelqu’un peut-il me dire comment installer

rmagick sur windows xp.

actuellement j’ai instant rails 2

la version de rails est 2.0.2

car lorsque je fais un gem install rmagick, il y a une erreur
d’installation.

Merci

As-tu essayé ceci :
Google -> install rmagick windows, 1er lien : on tombe facilement sur
http://rmagick.rubyforge.org/install-faq.html#win

…qui conseille d’installer la gem en la téléchargeant au préalable sur
le site du projet rmagick. Il semble qu’rmagick se serve d’une librairie
(imageMagick) nécessaire à son fonctionnement et non incluse dans la gem
que tu tentes d’installer.

Au passage, j’ai rencontré le même problème de dépendance à ImageMagick
sous Linux cette semaine.
Un bête (apt-get|yum|emerge|wajig|etc.) suffit à trouver puis installer
ImageMagick et ensuite tout roule !

Cdt,


Jean-Baptiste

Altair A. a écrit :

merci,

j’avais déjà essayé mais cela ne fonctionne pas.

j’ai peut etre oublié un truc.

Je pars d’une installation sous win XP
où j’ai mis instant Rails 2

j’ai décompressé RMagick-2.3.0-ImageMagick-6.4.0-2-Q8.zip et mis le gem
dans mon repertoire
l’installation démarre mais s’arrête avec le message d’erreur.

quelqu’un a t il réussi si oui comment ?

le but est de pouvoir utiliser attachment_fu

merci

“le message d’erreur” : quel message d’erreur exactement ? Suite à
quelle commande exactement ?
“l’installation démarre” : c’est-à-dire ?
Tu as bien installé la version de ImageMagick qui vient avec le zip (en
cliquant sur le .exe), puis exécuté ce qui est dit dans le README.html ?

“quelqu’un a t il réussi si oui comment” : j’ai réussi à l’instant en
suivant pas à pas le README.html qui vient avec le zip.

Il y a peut-être, si tu as bien suivi toutes les étapes, une
incompatibilité avec InstantRails, mais avant de suspecter cela il
faudrait que tu donnes un peu plus d’infos et que tu sois explicite sur
ce que tu fais.

Cdt,

Jean-Baptiste

Altair A. a écrit :

Toutes les réponses sont là :

http://rmagick.rubyforge.org/install-faq.html


How do I install RMagick on Microsoft Windows?

Use the rmagick-win32 gem. This gem is bundled with a a copy of the
ImageMagick Windows installer so you don’t need to download your own
copy. Download the rmagick-win32 gem from the RMagick project page on
RubyForge, unzip it into a temporary directory, and follow the
instructions in the README.html file you’ll find in the package. (This
gem is not for use with the Cygwin environment for Windows. See this
question.)

I’ve got a version of ImageMagick for Windows that is more recent than
the bundled version. Can I use it?

No. You must use the ImageMagick Windows installer that is bundled
with RMagick even if a later version is available from ImageMagick.
RMagick will not run if you try to use a different version.Here is
more information about the ImageMagick Windows installer.


Et voilà un lien direct vers la gem:

RMagick-2.3.0-ImageMagick-6.4.0-2-Q8.zip

Bonne nuit,

Jean-Baptiste

On 08 May 2008, at 23:03, Altair A. wrote:

d’installation.

Merci

Posted via http://www.ruby-forum.com/.


Jean-Baptiste E.
Belighted.com | Web 2.0 Consulting & Training
Email : [email protected] | Phone: +32 486 377593

Je pars d’une installation sous win XP
où j’ai mis instant Rails 2

j’ai décompressé RMagick-2.3.0-ImageMagick-6.4.0-2-Q8.zip et mis le gem
dans mon repertoire
l’installation démarre mais s’arrête avec le message d’erreur.

quelqu’un a t il réussi si oui comment ?

en suivant la doc normalement ça fonctionne. Décompresser le .zip,
installer ImageMagick.exe comme n’importe quel executable (je pense que
c’est l’étape qui te manque) puis faire un gem install rmagick --local

alors, j’ai essayé avec instantrails 2
avec ruby 186-26

j’ai téléchargé RMagick-2.3.0-ImageMagick-6.4.0-2-Q8 dézippé et lancer
le setup
puis gem install rmagick --local

voice ce que j’obtiens. (une quinzaine de fois)

Building native extensions. This could take a while…
ERROR: While executing gem … (RuntimeError)
Error instaling rmagick:
ERROR: Failed to build gem native extension.

ruby extconf.rb install rmagick --local
checking for Ruby version >= 1.8.2… yes
checking for stdint.h… no
checking for sys/types.h… no
checking for magick/MagickCore.h… no
Can’t install RMagick 2.3.0. Can’t find MagickCore.h.

*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of
necessary libraries and/or headers. Check the mkmf.log file for more
details. You may need configuration options.

Provided configuration options:
–with-opt-dir
–without-opt-dir
–with-opt-include
–without-opt-include=${opt-dir}/include
–with-opt-lib
–without-opt-lib=${opt-dir}/lib
–with-make-prog
–srcdir=.
–curdir
–ruby=c:/ruby/bin/ruby

Gem files will remain installed in
c:/ruby/lib/ruby/gems/1.8/gems/rmagick-2.3.0
for inspection.
Results logged to
c:/ruby/lib/ruby/gems/1.8/gems/rmagick-2.3.0/ext/RMagick/gem_m
ake.out

mon path
PATH=c:\program
files\imagemagick-6.4.0-q8;c:\ruby\bin;C:\WINDOWS\system32;C:\WI
NDOWS;C:\WINDOWS\System32\Wbem;C:\ruby:;c:\ruby\bin;C:\Program Files
ImageMagick-6.3.7-Q8

Salut
en fait c simple :
Utilisez la commande cd pour aller à le répertoire temporaire qui
contient les fichiers décompressés, ensuite entrez la commande suivante:

 * gem install rmagick --local

le but est de pouvoir utiliser attachment_fu

Sinon attachment_fu supporte un autres processeur d’image, image-sience
:

http://seattlerb.rubyforge.org/ImageScience.html

Ca a même l’air de macher sous Windows :

http://www.thewebfellas.com/blog/2008/2/18/imagescience-on-windows-without-the-pain


IciMarché fédère l’e-commerce de proximité
http://icimarche.fr

2008/5/26 philippe lachaise [email protected]:

le but est de pouvoir utiliser attachment_fu

Sinon attachment_fu supporte un autres processeur d’image, image-sience :

http://seattlerb.rubyforge.org/ImageScience.html

Ca a même l’air de macher sous Windows :

http://www.thewebfellas.com/blog/2008/2/18/imagescience-on-windows-without-the-pain

et aussi mini-magick :slight_smile:


Cyril M.
http://blog.shingara.fr